Subject: Re: [Iasa20] BCP101 update text (was Comments on <draft-ietf-iasa2-rfc4071bis-00>)

From: "Livingood, Jason" <[email-masked]>
Date: Mon, 17 Dec 2018 20:19:49 +0000

My understanding is the same as Brian's, that since RFC 4071 is also named BCP 101 that an update of 4071 will correspondingly update / be BCP 101. Just to be 100% certain, I have added this to the document updates list for this doc (as a pull request for Joe to consider - https://github.com/IASA2/draft-ietf-iasa2-struct/pull/50).

Jason 

On 12/14/18, 12:18 PM, "Bob Hinden" <[email-masked]> wrote:

    Hi Brian,
    
    > On Dec 13, 2018, at 7:42 PM, Brian Carpenter <[email-masked]> wrote:
    > 
    > 
    > 
    > Regards
    >  Bob,
    > 
    > On Fri, 14 Dec 2018, 15:58 Bob Hinden <[email-masked] wrote:
    > Brian,
    > 
    > > On Dec 13, 2018, at 6:44 PM, Brian E Carpenter <[email-masked]> wrote:
    > >
    > > Bob,
    > > On 2018-12-14 13:34, Bob Hinden wrote:
    > > ...
    > >>>   This document obsoletes [RFC4071], which specified the original IASA,
    > >>>   [RFC4333], which specified the selection guidelines and process for
    > >>>   IAOC members and [RFC7691], which specified terms for IAOC members.
    > >>
    > >> Does this doucment also update BCP101?   I think so, if it does, it should be
    > >> mentioned here.
    > >
    > > That's automatic. This is a BCP that obsoletes RFC4071, which is the base
    > > document of BCP101.
    > 
    > But shouldn’t we be redefining BCP101 to point the the RFC that <draft-ietf-iasa2-rfc4071bis-00> will become?
    > 
    > I'm sure the RFC Editor does that automatically.
    
    Not sure, but I think it would better to say it explicitly here.

    > 
    > 
    > > ...
    > >>>   o  Unification: The IETF LLC is reponsible for providing unified
    > >>>      legal, financial, and administrative support for operation of the
    > >>>      IETF, IAB, IESG, IRTF, and RFC Editor.
    > >>>
    > >>
    > >> I think it is correct that the IETF Trust is not included here.  Might be good to call that out.  That said, where does the IETF Trust get it’s funding?
    > >
    > > I think that for this document, it's simply part of the IETF. No need
    > > to mention it separately.
    > 
    > Is it part of the IETF?  I thought the IETF Trust was a separate legal entity (otherwise it couldn’t hold IPR) and had it’s own bank account.  Seems separate to me.
    > 
    > Yes, of course, but "the IETF" is a pretty vague concept so it seems like a detail here, given that we have a dedicated draft for the Trust anyway.
    
    Yes, “the IETF” is still a vague concept :-)
    
    However, as I note below, we should know how the Trust is funded.
    
    > 
    > Also, how is the IETF Trust funded in the IASA 2.0 model?
    > 
    > I've been assuming via the LLC.
    
    Can someone answer the question who knows and/or point to a document that says it?   If it’s the LLC, then I think this document should say it.
    
    Thanks,
    Bob

    > 
    > Regards
    >     Brian
    >     (via tiny screen & keyboard)
    > 
    > 
    > >
    > > For the 3rd time: this is yet another reason why we need to bring trust-update back to the WG to make it consistent with rfc4071bis.
    > 
    > I agree.
    > 
    > Bob
    > 
    >